HOSTNAME(1)

NAME
hostname - set or print name of current host system

SYNOPSIS
hostname [ -s ] [ nameofhost ]

DESCRIPTION
Hostname prints the name of the current host. The super-user can set the hostname by supplying an argument; this is usually done in the network initialization script /etc/netstart , normally run at boot time.

Options:

-s  Trims off any domain information from the printed name.

SEE ALSO
gethostname(2), sethostname(2)

HISTORY
The hostname command appeared in BSD 4.2 .